![CivetWeb](https://raw.github.com/civetweb/civetweb/master/resources/civetweb_64x64.png "CivetWeb") CivetWeb
=======

CivetWeb is an easy to use, powerful, C/C++ embeddable web server with optional CGI, SSL and Lua support.

CivetWeb can be used by developers as a library, to add web server functionality to an existing application.
CivetWeb uses an [MIT license](https://github.com/civetweb/civetweb/blob/master/LICENSE.md).

It can also be used by end users as a stand-alone web server. It is available as single executable, no installation is required.

The current stable version is 1.9.1 - [release notes](https://github.com/civetweb/civetweb/blob/master/RELEASE_NOTES.md)


End users can download CivetWeb at SourceForge
[https://sourceforge.net/projects/civetweb/](https://sourceforge.net/projects/civetweb/)

Developers can contribute to CivetWeb via GitHub
[https://github.com/civetweb/civetweb](https://github.com/civetweb/civetweb)

Trouble tickets should be filed on GitHub
[https://github.com/civetweb/civetweb/issues](https://github.com/civetweb/civetweb/issues)

Discussion/support group and announcements are at Google Groups
[https://groups.google.com/d/forum/civetweb](https://groups.google.com/d/forum/civetweb)

Source releases can be found on GitHub
[https://github.com/civetweb/civetweb/releases](https://github.com/civetweb/civetweb/releases)


Documentation
---------------

- [Installing.md](Installing.md) - Install Guide (for end users using pre-built binaries)
- [UserManual.md](UserManual.md) - End User Guide
- [Building.md](Building.md) - Building the Server (quick start guide)
- [Embedding.md](Embedding.md) - Embedding (how to add HTTP support to an existing application)
- [OpenSSL.md](OpenSSL.md) - Adding HTTPS (SSL/TLS) support using OpenSSL.
- [API documentation](api) - Additional documentation on the civetweb application programming interface ([civetweb.h](https://github.com/civetweb/civetweb/blob/master/include/civetweb.h)).

[Authors](https://github.com/civetweb/civetweb/blob/master/CREDITS.md)
